## GladeNameContext GladeNameContext |

## Functions

gboolean | glade_name_context_add_name ()
void | glade_name_context_destroy ()
gboolean | glade_name_context_has_name ()
guint | glade_name_context_n_names ()
GladeNameContext * | glade_name_context_new ()
gchar * | glade_name_context_new_name ()
void | glade_name_context_release_name ()

## Types and Values

| GladeNameContext

## Description

## Functions

### glade_name_context_add_name ()

    gboolean
    glade_name_context_add_name (GladeNameContext *context,
                                 const gchar *name);

### glade_name_context_destroy ()

    void
    glade_name_context_destroy (GladeNameContext *context);

### glade_name_context_has_name ()

    gboolean
    glade_name_context_has_name (GladeNameContext *context,
                                 const gchar *name);

### glade_name_context_n_names ()

    guint
    glade_name_context_n_names (GladeNameContext *context);

### glade_name_context_new ()

    GladeNameContext *
    glade_name_context_new (void);

Creates a new name context

[skip]

#### Returns

a new GladeNameContext

### glade_name_context_new_name ()

    gchar *
    glade_name_context_new_name (GladeNameContext *context,
                                 const gchar *base_name);

### glade_name_context_release_name ()

    void
    glade_name_context_release_name (GladeNameContext *context,
                                     const gchar *name);

## Types and Values

### GladeNameContext

    typedef struct _GladeNameContext GladeNameContext;